﻿using Bunny.Dao.Models.System;

namespace Bunny.Service.IService;

public interface IBlogService
{
    /// <summary>
    ///     添加Blog
    /// </summary>
    /// <param name="dto"></param>
    void AddBlog(Blog dto);

    /// <summary>
    ///     查询BLog
    /// </summary>
    /// <returns></returns>
    List<Blog> QueryBlog();

    /// <summary>
    ///     更新Blog内容
    /// </summary>
    /// <param name="dto"></param>
    void UpdateBlog(Blog dto);

    /// <summary>
    ///     删除BLog
    /// </summary>
    /// <param name="id"></param>
    void DeleteBlog(string id);
}