﻿using Bunny.Common.Filter;
using Bunny.Service.Filter;

namespace Bunny.WebApi.Config;

public static class FilterConfig
{
    /// <summary>
    ///     配置过滤器
    /// </summary>
    /// <param name="builder"></param>
    public static void Initialize(WebApplicationBuilder builder)
    {
        // 添加自定义过滤器---全局异常捕获
        builder.Services.AddControllers(option =>
        {
            option.Filters.Add<GlobalExceptionFilter>();
            option.Filters.Add<AuthorizationFilter>();
        });
    }
}